This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 199154 (slony)

Summary: Review Request: Slony-1 (postgresql-slony-engine)
Product: [Fedora] Fedora Reporter: Devrim GUNDUZ <devrim>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ch.nolte, curtis, davidf, fschwarz, itamar, jpmahowald, k.georgiou, rob.myers, ruben, toshio
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-01-31 09:22:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    
Attachments:
Description Flags
Fix building in rawhide mock
none
cleanups
none
more cleanups none

Description Devrim GUNDUZ 2006-07-17 12:04:24 EDT
Spec URL: http://pgfoundry.org/frs/download.php/970/postgresql-slony1-engine.spec
SRPM URL: http://pgfoundry.org/frs/download.php/969/postgresql-slony1-engine-1.1.5-2_PG8.1.4.src.rpm

Description: Slony-I will be a "master to multiple slaves" replication
system for PostgreSQL with cascading and failover.

The big picture for the development of Slony-I is to build
a master-slave system that includes all features and
capabilities needed to replicate large databases to a
reasonably limited number of slave systems.

Slony-I is planned as a system for data centers and backup
sites, where the normal mode of operation is that all nodes
are available
Comment 1 Devrim GUNDUZ 2006-07-18 03:24:19 EDT
This is my first submission to Fedora Core and I need a sponsor for this.
Comment 2 Devrim GUNDUZ 2006-07-18 09:29:38 EDT
Due to a file upload error; the Spec file URL changed to:
http://pgfoundry.org/frs/download.php/971/postgresql-slony1-engine.spec
Comment 3 Jason Tibbitts 2006-07-18 10:52:06 EDT
This should block both FE-NEW and FE-NEEDSPONSOR.  For some reason it kept
getting changed from one to the other.

Have you read http://fedoraproject.org/wiki/Extras/HowToGetSponsored?
Comment 4 Devrim GUNDUZ 2006-07-18 11:00:16 EDT
Sorry, it is my fault. Sure, I've read almost all guidelines before submitting
this. However, I had some problems using Bugzilla system and so, that's why I
made some mistakes.
Now this blocks both FE-NEW and FE-NEEDSPONSOR.
Thanks. Devrim
Comment 5 Toshio Kuratomi 2006-08-05 15:52:58 EDT
There's a lot of work to be done to this package.  I can review it now but I'll
have lots of questions about your packaging decisions.  If you have some ideas
for changes now that you've had some of your other packages go through review,
you can make those changes first.  If you don't have ideas for changes, then I
can go ahead and review and we'll start figuring out what's necessary and what's
not.
Comment 6 John Mahowald 2007-01-14 12:45:20 EST
To give you some idea of what needs to be done here is a probably incomplete list:

- Can't parse the spec when postgresql-devel is not installed, because
"2_PGpackage postgresql-devel is not installed" is not a valid Release. This
makes it fail to build in mock.
- Do not redefine prefix
- Some paths are not macros, /etc /usr/share/doc
- Do not define Packager. You may keep the contact information in the %changelog
- Make Source0 a download URL

Comment 7 Devrim GUNDUZ 2007-01-14 17:28:55 EST
Hi,

Thanks for all the comments. I have already worked on this spec, and here is the
current spec file and SRPM of the latest version:

SPEC file:
http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1-engine.spec

SRPM:
http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1-engine-1.2.6-1.src.rpm

Regards, Devrim
Comment 8 John Mahowald 2007-01-15 14:44:28 EST
Much better. But doesn't build on FC6 x86_64;

configure: error: /usr/lib64/pgsql//plpgsql.so|sl|dll is not found in the pkglib
dir.
        Please specify the pkglibdir with --with-pgpkglibdir=<dir>
Comment 9 Devrim GUNDUZ 2007-01-15 15:10:36 EST
Works for me in my FC6 box:

Wrote: /usr/src/redhat/RPMS/x86_64/postgresql-slony1-engine-1.2.6-2.x86_64.rpm
Wrote: /usr/src/redhat/RPMS/x86_64/postgresql-slony1-engine-docs-1.2.6-2.x86_64.rpm
Wrote:
/usr/src/redhat/RPMS/x86_64/postgresql-slony1-engine-debuginfo-1.2.6-2.x86_64.rpm

But today I worked a bit more on this package (See -2 on the packages above).
Here is the new spec and new SRPM:

SPEC file:
http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1-engine.spec

SRPM:
http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1-engine-1.2.6-2.src.rpm




Comment 10 Devrim GUNDUZ 2007-01-16 11:02:58 EST
Note to myself: I will add init scripts for this package soon.
Comment 12 Ruben Kerkhof 2007-06-10 09:23:21 EDT
Fails to build in mock on i386 (rawhide):

configure: error: /usr/lib/pgsql//plpgsql.so|sl|dll is not found in the pkglibdir.
        Please specify the pkglibdir with --with-pgpkglibdir=<dir>
Comment 13 Devrim GUNDUZ 2007-06-10 14:59:47 EDT
Hi,

(In reply to comment #12)
> Fails to build in mock on i386 (rawhide):
<snip> 

I already made a big progress on this package. I was waiting for 1.2.10 to be
released (it will also include an init script, etc). Anyway, here is the new
spec and SRPM:

New spec:
http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1-engine.spec

SRPM:
http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1-engine-1.2.9-2.fc7.src.rpm

Regards, Devrim
Comment 14 Ruben Kerkhof 2007-06-10 17:10:55 EDT
Hi Devrim,

This package needs some major cleanup. I'll do a full review soon, but first a few remarks:
- Adding postgresql-server and autoconf to the BuildRequires fixes a few errors during mockbuild. But 
why are you running autoconf after configure?

I attached a patch which fixes building the docs as well.
Comment 15 Ruben Kerkhof 2007-06-10 17:11:36 EDT
Created attachment 156674 [details]
Fix building in rawhide mock
Comment 16 Devrim GUNDUZ 2007-06-10 17:40:44 EDT
Hello,

(In reply to comment #14)
 
> This package needs some major cleanup. I'll do a full review soon,

Thanks -- and please let's wait until 1.2.10, which will have some more
improvements in the spec file.

> but first a few remarks:
> - Adding postgresql-server and autoconf to the BuildRequires fixes a few 
> errors during mockbuild. 

Uh, thanks...

> why are you running autoconf after configure?

:-) It will disappear as of 1.2.10. The spec file I am currently using is the
one that is used to build RPMs from CVS  -- so autoconf is required there. 

As of 1.2.10, there will be two spec files in the Slony-I tarball, and one of
them will be for Fedora packaging. 

> I attached a patch which fixes building the docs as well.

Thanks. I also committed these changes to the spec file in Slony-I CVS.

I updated the spec file and SRPM at my website in order not to lose work:

New spec:
http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1-engine.spec

SRPM:
http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1-engine-1.2.9-3.fc7.src.rpm


Comment 17 Ruben Kerkhof 2007-06-10 20:38:34 EDT
Ok, give me a call when 1.2.10 comes out :-)
Comment 18 Christian Nolte 2007-06-15 05:16:52 EDT
For some reason "yum localinstall postgresql-slony1-engine-1.2.9-3.fc7.i386.rpm"
fails during the dependency check:

Error: Missing Dependency: /usr/lib/pgsql/slon-tools.pm is needed by package
postgresql-slony1-engine
Error: Missing Dependency: /etc/slon_tools.conf is needed by package
postgresql-slony1-engine

rpm -ihv does work.

Furthermore, please check the errors and warnings rpmlint gives:
E: postgresql-slony1-engine non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-1.2.9 0644
E: postgresql-slony1-engine script-without-shebang
/usr/bin/old-apache-rotatelogs.patch
W: postgresql-slony1-engine-debuginfo spurious-executable-perm
/usr/src/debug/postgresql-slony1-engine-1.2.9/src/slon/*.{c,h}
W: postgresql-slony1-engine-docs spurious-executable-perm
/usr/share/doc/postgresql-slony1-engine-1.2.9/RELEASE-1.2.7
E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-1.2.9/adminguide 0644
W: postgresql-slony1-engine-docs spurious-executable-perm
/usr/share/doc/postgresql-slony1-engine-1.2.9/COPYRIGHT
W: postgresql-slony1-engine-docs spurious-executable-perm
/usr/share/doc/postgresql-slony1-engine-1.2.9/HISTORY-1.1
E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-1.2.9/support 0644
E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-1.2.9/implementation 0644
W: postgresql-slony1-engine-docs spurious-executable-perm
/usr/share/doc/postgresql-slony1-engine-1.2.9/SAMPLE
E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-1.2.9/howto 0644
W: postgresql-slony1-engine-docs spurious-executable-perm
/usr/share/doc/postgresql-slony1-engine-1.2.9/UPGRADING
E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-1.2.9 0644
W: postgresql-slony1-engine-docs spurious-executable-perm
/usr/share/doc/postgresql-slony1-engine-1.2.9/INSTALL
W: postgresql-slony1-engine-docs spurious-executable-perm
/usr/share/doc/postgresql-slony1-engine-1.2.9/RELEASE-*
E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-1.2.9/concept 0644
Comment 19 Devrim GUNDUZ 2007-06-28 23:59:25 EDT
1.2.10 is out:

http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1-engine-1.2.10-1.fc7.src.rpm
http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1-engine.spec

There are a bunch of rpmlint errors; let's work together and fix them.

Regards, Devrim
Comment 20 Ruben Kerkhof 2007-06-30 15:26:01 EDT
Ok, here we go

- The upstream project is called Slony-I. Why is the package called postgresql-slony1-engine?

- Source0 is not available. http://main.slony.info/downloads/1.2/source/slony1-1.2.0.tar.bz2 seems to be the right one (there's a doc tarball 
as well)

- Errors during build:
chmod -R 644 doc/Makefile doc/adminguide doc/concept doc/howto doc/implementation doc/support
chmod: cannot access `doc/adminguide/schemadoc.xml': Permission denied
chmod: cannot access `doc/adminguide/usingslonik.sgml': Permission denied
chmod: cannot access `doc/adminguide/slonyupgrade.sgml': Permission denied
etc...
the chmod -R 644 sets drw-r--r-- permissions on the directory, so you can't reach the files in it.
Maybe you can use something like find doc/ -type f -exec chmod 600 {} \;

- It also seems to be missing yacc:
Missing yacc parser.y parser.c

- Since postgresql_autodoc is now available, maybe you can add it to the BuildRequires
- I'd skip the %if %docs and %if %perltools. It's only one perl module, and that cleans up the specfile a lot.

- This isn't necessary:
   # Strip out -ffast-math from CFLAGS....

   CFLAGS=`echo $CFLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`  
   There is no -ffast-math in %{optflags}

- %configure --includedir %{_includedir}/pgsql --with-pgconfigdir=%{_bindir}
   is probably not necessary either, pg_config is in the path, and will tell configure where the libs and headers are

- Remove this line: #%define pg_version %(rpm -qv postgresql-devel|head -n 1|awk -F '-' '{print $3}')
- and this one: %define prefix /usr, they're not used

This won't work:
if [ -d /etc/rc.d/init.d ]
then
    install -d %{buildroot}/etc/rc.d/init.d
fi

You check if the directory exists, and if it exists, you create it.
and replace that path with %{_initrddir}. If you add initscripts as a requirement, that directory should be there

Good luck!

Comment 21 Devrim GUNDUZ 2007-07-09 02:35:35 EDT
Hello,

(In reply to comment #20)
> 
> - The upstream project is called Slony-I. Why is the package called
postgresql-slony1-engine?

See configure file for this.
 
> - Source0 is not available.
http://main.slony.info/downloads/1.2/source/slony1-1.2.0.tar.bz2 seems to be the
right one (there's a doc tarball 
> as well)
>
Fixed. (1.2.10) . We don't need doc tarball there; since the main tarball
includes doc tarball, too.

> - Errors during build:
> chmod -R 644 doc/Makefile doc/adminguide doc/concept doc/howto
doc/implementation doc/support
> chmod: cannot access `doc/adminguide/schemadoc.xml': Permission denied
> chmod: cannot access `doc/adminguide/usingslonik.sgml': Permission denied
> chmod: cannot access `doc/adminguide/slonyupgrade.sgml': Permission denied
> etc...
> the chmod -R 644 sets drw-r--r-- permissions on the directory, so you can't
reach the files in it.
> Maybe you can use something like find doc/ -type f -exec chmod 600 {} \;

Done.

> - It also seems to be missing yacc:
> Missing yacc parser.y parser.c

? No idea what this means.
 
> - Since postgresql_autodoc is now available, maybe you can add it to the
BuildRequires

I don't think so. Is there anything that depends on autodoc?

> - I'd skip the %if %docs and %if %perltools. It's only one perl module, and
that cleans up the specfile a lot.

Removed %perltools, but left docs as it is now -- It is needed, because of the
low NAMELEN issue on some old RH/FC releases. Some people may skip doc builds.

> - This isn't necessary:
>    # Strip out -ffast-math from CFLAGS....
> 
>    CFLAGS=`echo $CFLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`  
>    There is no -ffast-math in %{optflags}

Ok.

> - %configure --includedir %{_includedir}/pgsql --with-pgconfigdir=%{_bindir}
>    is probably not necessary either, pg_config is in the path, and will tell
configure where the libs and headers are

Slony looks for /usr/local/pgsql/bin/pg_config first. If someone has a source
installation of PostgreSQL, then the build will break (see changelog entry Thu
May 17 2007)

> - Remove this line: #%define pg_version %(rpm -qv postgresql-devel|head -n
1|awk -F '-' '{print $3}')
> - and this one: %define prefix /usr, they're not used

Ok done.

> This won't work:
> if [ -d /etc/rc.d/init.d ]
> then
>     install -d %{buildroot}/etc/rc.d/init.d
> fi
> 
> You check if the directory exists, and if it exists, you create it.
> and replace that path with %{_initrddir}. If you add initscripts as a
requirement, that directory should be there

Done.

Thanks for the review. The new spec will follow shortly.

Regards, Devrim

> Good luck!
> 
> 

Comment 24 Ruben Kerkhof 2007-07-09 15:36:55 EDT
Hello,

> See configure file for this.

You mean the PACKAGE_NAME?
The tarball is slony1-1.2.10.tar.bz2, the upstream project is called Slony-I, and the first line of the README file says Slony-I. From 
the NamingGuidelines:
When naming a package, the name should match the upstream tarball or project name from which this software came.

> Missing yacc parser.y parser.c
>> ? No idea what this means.
yacc is provided by bison, and seems to be used by Slony-I: http://www.gnu.org/software/bison/

> - Since postgresql_autodoc is now available, maybe you can add it to the BuildRequires
>> I don't think so. Is there anything that depends on autodoc?

configure is searching for it, so I assume it is used.

> Some people may skip doc builds.
But doc is a separate package in Fedora, and people can just choose to not install it.

> Slony looks for /usr/local/pgsql/bin/pg_config first. If someone has a source installation of PostgreSQL, then the build will break

This won't be a problem when the package is build on the Fedora buildservers. I understand that you want to maintain one upstream 
specfile for all versions of Red Hat and Fedora, but having a clean spec in Fedora makes things more easier in the long run.

A few other comments:

- Double BuildRequires for docbook-style-dsssl
- Is %kerbdir still needed? If not, there's no need to change CFLAGS, CXXFLAGS and CFLAGS and a simple %configure will do.

And:

rpmlint of postgresql-slony1-engine-docs:
E: postgresql-slony1-engine-docs non-standard-dir-perm /usr/share/doc/postgresql-slony1-engine-docs-1.2.10/support 0644
E: postgresql-slony1-engine-docs non-standard-dir-perm /usr/share/doc/postgresql-slony1-engine-docs-1.2.10/adminguide 
0644
E: postgresql-slony1-engine-docs non-standard-dir-perm /usr/share/doc/postgresql-slony1-engine-docs-1.2.10 0644
E: postgresql-slony1-engine-docs non-standard-dir-perm /usr/share/doc/postgresql-slony1-engine-docs-1.2.10/concept 0644
E: postgresql-slony1-engine-docs non-standard-dir-perm /usr/share/doc/postgresql-slony1-engine-docs-1.2.10/howto 0644
E: postgresql-slony1-engine-docs non-standard-dir-perm /usr/share/doc/postgresql-slony1-engine-docs-
1.2.10/implementation 0644

Cheers,

Ruben



Comment 25 Devrim GUNDUZ 2007-08-29 03:30:54 EDT
Hi,

(In reply to comment #24)
> > See configure file for this.
> 
> You mean the PACKAGE_NAME?
> The tarball is slony1-1.2.10.tar.bz2, the upstream project is called Slony-I,
and the first line of the README file says Slony-I. From 
> the NamingGuidelines:
> When naming a package, the name should match the upstream tarball or project
name from which this software came.

Ok, I committed a bunch of fixes to Slony-I:

http://lists.slony.info/pipermail/slony1-commit/2007-August/001953.html
http://lists.slony.info/pipermail/slony1-commit/2007-August/001954.html
http://lists.slony.info/pipermail/slony1-commit/2007-August/001955.html
http://lists.slony.info/pipermail/slony1-commit/2007-August/001956.html
http://lists.slony.info/pipermail/slony1-commit/2007-August/001957.html


> > Missing yacc parser.y parser.c
> >> ? No idea what this means.
> yacc is provided by bison, and seems to be used by Slony-I:
http://www.gnu.org/software/bison/

Ok, added as BR.
 
> > - Since postgresql_autodoc is now available, maybe you can add it to the
BuildRequires
> >> I don't think so. Is there anything that depends on autodoc?
> 
> configure is searching for it, so I assume it is used.

It is not a must... But ok, added it.

> > Some people may skip doc builds.
> But doc is a separate package in Fedora, and people can just choose to not
install it.

I will make this change, since AFAIR RHEL 5, Fedora 6,7 and 8 does not have the
NAMELEN problem. I won't push it to RHEL 4.

> > Slony looks for /usr/local/pgsql/bin/pg_config first. If someone has a
source installation of PostgreSQL, then the build will break
> 
> This won't be a problem when the package is build on the Fedora buildservers.
I understand that you want to maintain one upstream 
> specfile for all versions of Red Hat and Fedora, but having a clean spec in
Fedora makes things more easier in the long run.

Yes, I want to maintain 1 spec file. If this is not a blocker, I would like to
skip it.

> A few other comments:
> 
> - Double BuildRequires for docbook-style-dsssl

Good catch :) Removed.

> - Is %kerbdir still needed? If not, there's no need to change CFLAGS, CXXFLAGS
and CFLAGS and a simple %configure will do.
>

%kerbdir is broken in RHEL3, that's why we keep it. Yes, one spec file for all
platforms :)

> rpmlint of postgresql-slony1-engine-docs:
> E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-1.2.10/support 0644
> E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-1.2.10/adminguide 
> 0644
> E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-1.2.10 0644
> E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-1.2.10/concept 0644
> E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-1.2.10/howto 0644
> E: postgresql-slony1-engine-docs non-standard-dir-perm
/usr/share/doc/postgresql-slony1-engine-docs-
> 1.2.10/implementation 0644

Some of them are fixed. However... 1.2.11 was already released, and I committed
the changes after that :( That may mean that we will wait another release to
test some of the changes.

I will post the updated srpm and spec file shortly.
Comment 26 Ruben Kerkhof 2008-01-25 17:40:03 EST
Hi Devrim,

Since 1.2.12 is there now, maybe we can go ahead with this?
Comment 27 Devrim GUNDUZ 2008-02-05 21:05:19 EST
1.2.13 is on the way (tomorrow, I believe). I have many packaging errors, but
still I'll push it for review.
Comment 28 Devrim GUNDUZ 2008-02-11 01:19:46 EST
Here is 1.2.13 spec and SRPM:

http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1.spec

http://developer.postgresql.org/~devrim/rpms/other/slony1/postgresql-slony1-1.2.13-1.f8.src.rpm

There are lots of rpmlint errors, but I could not fix them :(

Regards, Devrim
Comment 29 Ruben Kerkhof 2008-02-21 14:22:30 EST
I see only two rpmlint. errors, quite easy to fix:

[ruben@localhost ~]$ rpmlint -i
rpmbuild/RPMS/i386/postgresql-slony1-1.2.13-1.fc9.i386.rpm 
postgresql-slony1.i386: E: non-standard-dir-perm
/usr/share/doc/postgresql-slony1-1.2.13 0644
A standard directory should have permission set to 0755. If you get this
message, it means that you have wrong directory permissions in some dirs
included in your package.

[ruben@localhost ~]$ rpmlint -i
rpmbuild/SRPMS/postgresql-slony1-1.2.13-1.fc9.src.rpm 
postgresql-slony1.src:229: W: macro-in-%changelog docs
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.


Could you please go through the spec file and the comments in this review and
see if they still apply? For instance the specific fixes for 1.2.10?
Comment 30 Devrim GUNDUZ 2008-02-21 14:34:50 EST
Sure, I'll take a look at them soon -- did you also run rpmlint against -doc
package?

Regards, Devrim
Comment 31 Ruben Kerkhof 2008-03-08 12:22:19 EST
Ah, there are a few more errors in the doc package.
Why can't you fix the permissions and the encoding in the specfile (or upstream)?
Comment 32 Devrim GUNDUZ 2008-03-11 01:42:15 EDT
Upstream problem cannot be fixed now, it is another issue. I could do it in ths
spec file. I need help actually :(

Regards, Devrim
Comment 33 Itamar Reis Peixoto 2008-09-04 22:27:35 EDT
the name postgresql-slony1 is strange for me, why not only slony1 ?

about the init script, why not call it too slony1 ?

any chance to get this package for F10 ?
Comment 34 Devrim GUNDUZ 2008-09-05 00:16:52 EDT
(In reply to comment #33)
> the name postgresql-slony1 is strange for me, why not only slony1 ?
> 
> about the init script, why not call it too slony1 ?

It's been 2 years since I first submitted this package. Those days, I was adding postgresql- prefix to all my packages. Now I'm trying to get rid of it.

Also the package itself was called postgresql-slony1-engine. I committed fixes to upstream to get rid of that...

> any chance to get this package for F10 ?

Don't know. It needs some work.

Regards, Devrim
Comment 35 Itamar Reis Peixoto 2008-09-05 08:11:14 EDT
the name needs to be fixed, in some parts of the code have Slony-I name

Slony-I
slony1
postgresql-slony1
Comment 36 Devrim GUNDUZ 2008-09-05 12:17:48 EDT
It is more or less fixed in current code, I believe.
Comment 37 Itamar Reis Peixoto 2008-10-07 21:30:21 EDT
Can I help with anything ?
Comment 38 Ruben Kerkhof 2008-10-19 11:44:38 EDT
Hey Devrim,

I think it's time to decide wether to call the package postgresql-slony1 or slony1, and to rename everything throughout the code. For instance the spec file is called postgresql-slony1.spec, I'd say rename it to slony1.spec

Furthermore I've added 2 patches to the spec and the init script which clean a few things up.
Comment 39 Ruben Kerkhof 2008-10-19 11:46:17 EDT
Created attachment 320805 [details]
cleanups
Comment 40 Ruben Kerkhof 2008-10-19 11:46:51 EDT
Created attachment 320806 [details]
more cleanups
Comment 41 Devrim GUNDUZ 2008-10-19 11:51:41 EDT
Hi Ruben,

(In reply to comment #38)
> 
> I think it's time to decide wether to call the package postgresql-slony1 or
> slony1, and to rename everything throughout the code. 

Let's make it slony1 -- I want to get rid of postgresql- prefix from many of my packages.
 
> Furthermore I've added 2 patches to the spec and the init script which clean a
> few things up.

Thanks! I'll check them soon.

Devrim
Comment 42 Itamar Reis Peixoto 2008-10-30 11:05:42 EDT
Devrim

slony-II is a dead project ?

why not call it as slony instead slony1 ?
Comment 43 Itamar Reis Peixoto 2008-11-08 20:23:27 EST
(In reply to comment #40)
> Created an attachment (id=320806) [details]
> more cleanups

this patch makes non sense, why don't change only NAME=slony1  ?
Comment 44 Itamar Reis Peixoto 2008-11-08 23:05:31 EST
Ruben.

Can you help me to discover why man7 is not installing correct ?

http://ispbrasil.com.br/slony1/slony1.spec
http://ispbrasil.com.br/slony1/slony1-1.2.15-1.fc8.src.rpm
Comment 45 Ruben Kerkhof 2008-11-09 08:40:38 EST
Not sure what you mean, I prefer to review Devrim's package and wait for him to clean up his spec.
Comment 46 Itamar Reis Peixoto 2008-11-09 13:32:02 EST
I agree, I am trying to speedup the process since Devrim is delaying too much to answer and this bug is here since 2006.

I am also have found a bug in Makefile the man7 files was not installed because whitespaces in filenames
Comment 47 Devrim GUNDUZ 2008-11-09 13:42:35 EST
Actually Devrim is waiting for 2.0 release, which is in rc2 now.
Comment 48 Itamar Reis Peixoto 2008-11-09 14:28:38 EST
ok, but I'm still not agree with the name slony1-2.0.0-rc2.tar.bz2

for me 

slony-2.0.0-rc2.tar.bz2

will be better, only slony,
Comment 49 Devrim GUNDUZ 2008-11-09 14:36:31 EST
Sorry, it won't happen. I am against the name change of the project.

I don't know how much is it worth to remove 1 byte from the tarball name.
Comment 50 Ruben Kerkhof 2009-01-19 08:46:38 EST
Devrim, what's up with this package, do you still want to proceed.
I'm running out of patience after two years ;-)
Comment 51 Itamar Reis Peixoto 2009-01-21 16:13:43 EST
I can't answer this question for Devrim, but 2 years is alot of time.

Devrim have your own repo.

http://yum.pgsqlrpms.org/

and It's have a slony 2.0 rpm in his repo.

http://yum.pgsqlrpms.org/srpms/8.3/fedora/fedora-10-x86_64/

I don't know if him want to continue, but if he is not available I want to contribute to have slony imported into fedora.




(In reply to comment #50)
> Devrim, what's up with this package, do you still want to proceed.
> I'm running out of patience after two years ;-)
Comment 52 Devrim GUNDUZ 2009-01-22 13:02:48 EST
(In reply to comment #50)
> Devrim, what's up with this package, do you still want to proceed.
> I'm running out of patience after two years ;-)

Ok, let's push this a bit more:

Spec file: https://projects.commandprompt.com/public/pgcore/repo/rpm/redhat/8.3/slony1/F-10/slony1.spec

SRPM: http://yum.pgsqlrpms.org/srpms/8.3/fedora/fedora-10-i386/slony1-2.0.0-2.f10.src.rpm
Comment 53 Itamar Reis Peixoto 2009-01-29 10:46:02 EST
I belive you need to add docbook-utils into Build Requires.
Comment 54 Itamar Reis Peixoto 2009-01-29 11:11:38 EST
(In reply to comment #52)
Devrim

please build in koji first and make sure you have posted a working spec file for review.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1091454

look at Comment #53 and try to build in koji again.
Comment 55 Itamar Reis Peixoto 2009-02-09 08:07:38 EST
try to build with this.

%if %docs
 -BuildRequires: docbook-style-dsssl postgresql_autodoc
 +BuildRequires: docbook-style-dsssl postgresql_autodoc docbook-utils 
%endif


http://koji.fedoraproject.org/koji/taskinfo?taskID=1115000
Comment 56 rob 2009-08-25 18:15:38 EDT
What is the status on this?

I took a shot at bringing the 2.0.2-1 package up to Fedora standards:
http://rmyers.fedorapeople.org/postgresql-slony-engine/postgresql-slony-engine-2.0.2-1.1.fc11.src.rpm
http://rmyers.fedorapeople.org/postgresql-slony-engine/postgresql-slony-engine-2.0.2-1.1.fc11/postgresql-slony-engine.spec

Here is the rpmlint output:
postgresql-slony-engine.src: W: strange-permission filter-requires-perl-Pg.sh 0755

- How do I do the equivalent of %define __perl_requires %{SOURCE2} without this being executable?

postgresql-slony-engine.x86_64: W: log-files-without-logrotate /var/log/slony1

- I wasn't sure if it was safe to rotate the files in this directory, so I left this out for now.

postgresql-slony-engine.x86_64: W: incoherent-subsys /etc/rc.d/init.d/slony1 ${NAME}

- This appears to be a false positive/limitation of rpmlint.

postgresql-slony-engine.x86_64: W: incoherent-init-script-name slony1 ('postgresql-slony-engine', 'postgresql-slony-engined')

- This could easily be changed to match, if that is desirable.

Here is the scratch build in koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1633604

This package has not been tested.
Comment 57 Ruben Kerkhof 2010-01-31 09:22:40 EST
I'm going to close this review request. I understand that Devrim is busy and has to get all the changes back upstream, but there's still a lot wrong with this package, and I've lost interest in this after a few years.

Rob / Itamar, if you guys are interested in maintaining it in Fedora, please open a new review request.